Index: src/uk/me/parabola/mkgmap/main/MapMaker.java
===================================================================
--- src/uk/me/parabola/mkgmap/main/MapMaker.java	(revision 1088)
+++ src/uk/me/parabola/mkgmap/main/MapMaker.java	(working copy)
@@ -182,10 +182,23 @@
 				if(poiMap.findPointInShape(shape, pointType, shapeName) == null)
 				{
 					MapPoint newPoint = new MapPoint();
+					
 					newPoint.setName(shapeName);
 					newPoint.setType(pointType);
+
+					if (shape.getStreet() != null ) { newPoint.setStreet(shape.getStreet()); } //Arduously copy address information
+					if (shape.getCity() != null ) { newPoint.setCity(shape.getCity()); }
+					if (shape.getZip() != null ) { newPoint.setZip(shape.getZip()); }
+					if (shape.getCountry() != null ) { newPoint.setCountry(shape.getCountry()); }
+					if (shape.getRegion() != null ) { newPoint.setRegion(shape.getRegion()); }
+					if (shape.getPhone() != null ) { newPoint.setPhone(shape.getPhone()); }
+					if (shape.getHouseNumber() != null ) { newPoint.setHouseNumber(shape.getHouseNumber()); }
+					if (shape.getIsIn() != null ) { newPoint.setIsIn(shape.getIsIn()); }
+
 					newPoint.setLocation(shape.getLocation()); // TODO use centriod
+
 					src.getPoints().add(newPoint);
+
 					log.info("created POI ", shapeName, "from shape");
 				}
 			}
